﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace CalendarDayButtonStyle
{
    public class DayButtonStyleSelector : System.Windows.Controls.StyleSelector 
    {
        public Style SpecialStyleWeekDays { get; set; }
        public Style SpecialStyleWeekEnds { get; set; }

        public override Style SelectStyle(object item, DependencyObject container) 
        {
			// Add custom Tooltip for each calendar button
			Control control = container as Control;
			if (control != null)
			{
				CalendarButtonContent buttonContent = (item as CalendarButtonContent);
				if (buttonContent.ButtonType == CalendarButtonType.Date)
				{
					control.ToolTip = new ToolTip() { Content = buttonContent.Date.DayOfWeek };
				}
			}

			// Add different calendar button styles
            CalendarButtonContent content = item as CalendarButtonContent;
            if(content != null)
            {
                if (((content.Date.DayOfWeek == DayOfWeek.Monday || content.Date.DayOfWeek == DayOfWeek.Tuesday || 
                    content.Date.DayOfWeek == DayOfWeek.Wednesday || content.Date.DayOfWeek == DayOfWeek.Thursday ||
                    content.Date.DayOfWeek == DayOfWeek.Friday) && content.ButtonType == CalendarButtonType.Date) || content.Date == DateTime.Today)
                {
                    return SpecialStyleWeekDays;
                }
                else
                {
                    if ((content.Date.DayOfWeek == DayOfWeek.Sunday || content.Date.DayOfWeek == DayOfWeek.Saturday) && content.ButtonType == CalendarButtonType.Date)
                    {
                        return SpecialStyleWeekEnds;
                    }
                }
            }
            return base.SelectStyle(item, container);
        }
    }
}
